org.apache.derby.vti

## Class Restriction.OR

- java.lang.Object
- - org.apache.derby.vti.Restriction
  - - org.apache.derby.vti.Restriction.OR

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    Restriction

      public static class Restriction.OR
      extends Restriction

  An OR of two Restrictions
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.derby.vti.Restriction

      `Restriction.AND, Restriction.ColumnQualifier, Restriction.OR`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `serialVersionUID` Derby serializes these objects in PreparedStatements

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OR(Restriction leftChild, Restriction rightChild)` OR together two other Restrictions

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Restriction` | `getLeftChild()` Get the left Restriction
    `Restriction` | `getRightChild()` Get the right Restriction
    `String` | `toSQL()` Turn this Restriction into a string suitable for use in a WHERE clause.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          public static final long serialVersionUID

      Derby serializes these objects in PreparedStatements
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### OR

          public OR(Restriction leftChild,
                    Restriction rightChild)

      OR together two other Restrictions

  - ### Method Detail

    - #### getLeftChild

          public Restriction getLeftChild()

      Get the left Restriction

    - #### getRightChild

          public Restriction getRightChild()

      Get the right Restriction

    - #### toSQL

          public String toSQL()

      Description copied from class: `Restriction`
      Turn this Restriction into a string suitable for use in a WHERE clause.
      Specified by:
        `toSQL` in class `Restriction`

Apache Derby 10.14 API Documentation - Copyright © 2004,2018 The Apache Software Foundation. All Rights Reserved.